## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XSLTEngineImpl.hpp File Reference

Include dependency graph for XSLTEngineImpl.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XSLTEngineImpl
    It's the responsibility of the XSLTEngineImpl class, collaborating with the XML parser liaison, the DOM, and the XPath engine, to transform a source tree of nodes into a result tree according to instructions and templates specified by a stylesheet tree. More...
- struct XSLTEngineImpl::LessXalanDOMStringPointers
- struct XSLTEngineImpl::FindStringPointerFunctor

## Defines

- #define XALAN_XSLTENGINEIMPL_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DocumentHandler DocumentHandlerType

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef XERCES_CPP_NAMESPACE_QUALIFIER
  InputSource InputSourceType

## Define Documentation

#define XALAN_XSLTENGINEIMPL_HEADER_GUARD

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DocumentHandler DocumentHandlerType

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER InputSource InputSourceType

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.